Support » Plugin: Slider, Gallery, and Carousel by MetaSlider - Responsive WordPress Plugin » Deprecated notices from jQuery Migrate

  • jQuery.fn.hover() is deprecated
    jQuery.fn.bind() is deprecated
    In ml-slider/assets/sliders/flexslider/jquery.flexslider.min.js?ver=3.20.3

Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi,

    Please let me know where do you see these notices. Do you see them while editing the slider? Or when the slider is displayed on the frontend?

    If these warnings are being displayed in the frontend, please share your website URL.

    Thread Starter germundal

    (@germundal)

    @mohammedeisa I see them in the frontend when the slider is displayed, but jQuery Migrate shows the messages only when WP_DEBUG is true and I don’t want to use that in production.

    Hi,

    Can you please check if the issue exists when only MetaSlider and the Twenty Twenty One theme are active?

    In case the issue exists when only MetaSlider and the Twenty Twenty One theme are active, then please copy your website to a testing website so that you can open the WordPress debug mode and share the page where the issue exists with me.

    Thanks.

    Thread Starter germundal

    (@germundal)

    I had problems with making these error messages display but if anyone else comes across this problem, here was the solution. Download patched version from flexslider.js from here: https://github.com/woocommerce/FlexSlider/pull/1791/files to your theme, specifically: https://github.com/woocommerce/FlexSlider/blob/4865a3209e8e0650f3fba63b356af23067bd1639/jquery.flexslider.js

    Use that file instead:

    add_filter('script_loader_src', function($url){
        if (strpos($url, '/plugins/ml-slider/assets/sliders/flexslider/jquery.flexslider.min.js')) {
            $url = get_stylesheet_directory_uri() . '/assets/js/jquery.flexslider.js';
        }
        return $url;
    });
    • This reply was modified 1 year, 1 month ago by germundal.
    Plugin Support Arreane

    (@yanex)

    Hi,

    I tried this on my test server, I have set WP_DEBUG to true and checked the page with MetaSlider but I wasn’t able to replicate your issue.

    I’m using WordPress v5.7.1 and MetaSlider 3.20.3

    Here’s a short recording during my testing – https://share.getcloudapp.com/OAuPkK05

    Please let me know if I missed something on my test.

    Kind Regards,
    Arreane

    fourwhitesocks

    (@fourwhitesocks)

    Hello chiming in here:

    So I have a few customers with this slider (it’s great luv it but…) I’m also seeing notices when using the JQUERY MIGRATE HELPER PLUGIN which will point out items like deprecated functions in this case; that are being used in the codebase of Meta Slider that may cause issues when jQuery MIgrate script is removed from core WordPress. This site is not viewable to the public but you can still see these: Here is an example of the notices I’m seeing:

    It’s finding the following as deprecated:
    .bind()
    .blur()
    .focus()
    .hover()

    Example screenshot: http://prntscr.com/15emlre I see some might be different in the GitHub links from above but a few above I don’t think are mentioned

    Thank you!!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Deprecated notices from jQuery Migrate’ is closed to new replies.